BasicComboPopup.ListDataHandler (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicComboPopup.ListDataHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicComboPopup.ListDataHandler

All Implemented Interfaces:
  EventListener, ListDataListener

Enclosing class:
  BasicComboPopup

public class BasicComboPopup.ListDataHandler
extends Object
implements ListDataListener

As of 1.4, this class is now obsolete, doesn't do anything, and is only included for backwards API compatibility. Do not call or override.

The functionality has been migrated into `ItemHandler`.

See Also:
  `BasicComboPopup.createItemListener()`

Constructor Summary
`BasicComboPopup.ListDataHandler()`

Method Summary
`void` | `contentsChanged(ListDataEvent e)` Sent when the contents of the list has changed in a way that's too complex to characterize with the previous methods.
`void` | `intervalAdded(ListDataEvent e)` Sent after the indices in the index0,index1 interval have been inserted in the data model.
`void` | `intervalRemoved(ListDataEvent e)` Sent after the indices in the index0,index1 interval have been removed from the data model.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicComboPopup.ListDataHandler

    public BasicComboPopup.ListDataHandler()

Method Detail

### contentsChanged

    public void contentsChanged(ListDataEvent e)

  Description copied from interface: `ListDataListener`
  Sent when the contents of the list has changed in a way that's too complex to characterize with the previous methods. For example, this is sent when an item has been replaced. Index0 and index1 bracket the change.

  Specified by:
    `contentsChanged` in interface `ListDataListener`
  Parameters:
    `e` - a `ListDataEvent` encapsulating the event information

### intervalAdded

    public void intervalAdded(ListDataEvent e)

  Description copied from interface: `ListDataListener`
  Sent after the indices in the index0,index1 interval have been inserted in the data model. The new interval includes both index0 and index1.

  Specified by:
    `intervalAdded` in interface `ListDataListener`
  Parameters:
    `e` - a `ListDataEvent` encapsulating the event information

### intervalRemoved

    public void intervalRemoved(ListDataEvent e)

  Description copied from interface: `ListDataListener`
  Sent after the indices in the index0,index1 interval have been removed from the data model. The interval includes both index0 and index1.

  Specified by:
    `intervalRemoved` in interface `ListDataListener`
  Parameters:
    `e` - a `ListDataEvent` encapsulating the event information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.